Subject: Re: bug#41463: 27.0.91; ACL error on Windows when trying to save file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2020 08:43:40 +0300

> Cc: [email-masked]
> From: Lars Ljung <[email-masked]>
> Date: Fri, 22 May 2020 23:27:11 +0200
> 
> Now I think that this happens because H: is a network drive that is
> marked as "available offline". The problem goes away if I reconnect to
> the company network, and it comes back when I go offline again.
> 
> I traced this to acl_get_file() in w32.c where GetLastError() returns
> 50, i.e. ERROR_NOT_SUPPORTED.

Thanks.  Does the patch below fix this problem?

diff --git a/src/w32.c b/src/w32.c
index 62c53fd..4d351dd 100644
--- a/src/w32.c
+++ b/src/w32.c
@@ -6409,6 +6409,8 @@ acl_get_file (const char *fname, acl_type_t type)
 		      be encoded in the current ANSI codepage. */
 		   || err == ERROR_INVALID_NAME)
 	    errno = ENOENT;
+	  else if (err == ERROR_NOT_SUPPORTED)
+	    errno = ENOTSUP;
 	  else
 	    errno = EIO;
 	}